## vorbisgain 0.37

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/vorbisgain
pkglibdir = $(libdir)/vorbisgain
pkgincludedir = $(includedir)/vorbisgain
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run tar
AUTOCONF = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run autoconf
AUTOHEADER = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run autoheader
AUTOMAKE = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -fsigned-char 
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  
LIBOBJS = 
LIBS = -lvorbisfile 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/giancarlo/vorbisgain-0.37/missing --run makeinfo
OBJEXT = o
OGG_CFLAGS = 
OGG_LIBS =  -logg
PACKAGE = vorbisgain
PACKAGE_BUGREPORT = 
PACKAGE_NAME = vorbisgain
PACKAGE_STRING = vorbisgain 0.37
PACKAGE_TARNAME = vorbisgain
PACKAGE_VERSION = 0.37
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.37
VORBIS_CFLAGS = 
VORBIS_LIBS =  -lvorbisfile -lvorbis -lm
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/giancarlo/vorbisgain-0.37/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var

mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

AUTOMAKE_OPTIONS = foreign dist-zip

bin_PROGRAMS = vorbisgain

INCLUDES =  

vorbisgain_LDADD =  -lvorbisfile -lvorbis -lm  -logg

vorbisgain_SOURCES = vorbisgain.c vorbis.c recurse.c misc.c gain_analysis.c \
                     vcedit.c getopt.c getopt1.c \
                     vorbisgain.h vorbis.h recurse.h misc.h gain_analysis.h \
                     vcedit.h getopt.h i18n.h


man_MANS = vorbisgain.1

EXTRA_DIST = $(man_MANS) NEWS README vorbisgain.txt
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = vorbisgain$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_vorbisgain_OBJECTS = vorbisgain.$(OBJEXT) vorbis.$(OBJEXT) \
	recurse.$(OBJEXT) misc.$(OBJEXT) gain_analysis.$(OBJEXT) \
	vcedit.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT)
vorbisgain_OBJECTS = $(am_vorbisgain_OBJECTS)
vorbisgain_DEPENDENCIES =
vorbisgain_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/gain_analysis.Po \
	./$(DEPDIR)/getopt.Po ./$(DEPDIR)/getopt1.Po \
	./$(DEPDIR)/misc.Po ./$(DEPDIR)/recurse.Po \
	./$(DEPDIR)/vcedit.Po ./$(DEPDIR)/vorbis.Po \
	./$(DEPDIR)/vorbisgain.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(vorbisgain_SOURCES)

NROFF = nroff
MANS = $(man_MANS)
DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure COPYING \
	Makefile.am NEWS acinclude.m4 aclocal.m4 config.guess \
	config.h.in config.sub configure configure.ac depcomp \
	install-sh missing mkinstalldirs
SOURCES = $(vorbisgain_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac acinclude.m4
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
vorbisgain$(EXEEXT): $(vorbisgain_OBJECTS) $(vorbisgain_DEPENDENCIES) 
	@rm -f vorbisgain$(EXEEXT)
	$(LINK) $(vorbisgain_LDFLAGS) $(vorbisgain_OBJECTS) $(vorbisgain_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/gain_analysis.Po
include ./$(DEPDIR)/getopt.Po
include ./$(DEPDIR)/getopt1.Po
include ./$(DEPDIR)/misc.Po
include ./$(DEPDIR)/recurse.Po
include ./$(DEPDIR)/vcedit.Po
include ./$(DEPDIR)/vorbis.Po
include ./$(DEPDIR)/vorbisgain.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

man1dir = $(mandir)/man1
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man1dir)/$$inst; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man1dir)/$$inst; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \

## vorbisgain 0.36

=== debian/changelog ===
vorbisgain (0.36-4) unstable; urgency=low

  * QA upload.
  * Set 3.0 (quilt) as packaging format:
    - Switch to DH7 short-form.
    - Use DH's autotools_dev plugin rather than update
      config.{guess,sub} by hand.
    - Split patches and create a new quilt series:
      + 0001-temp_files.patch
      + 0002-errno.patch
      + 0003-manpage.patch
  * debian/patches/0003-manpage.patch:
    - Add more misspelling fixes:
      + Closes: #490983
      + Closes: #374822
      + LP: #248781
  * debian/patches/0004-vorbisgain_mtime.patch:
    - Add a command line option to preserve the mtime (Closes: #445958).
  * debian/patches/0005-double_fclose.patch:
    - Don't call fclose() twice (Closes: #632947).
  * Use debian/compat rathen than set DH_COMPAT in debian/rules.
  * Add Homepage field.
  * Add watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 28 Dec 2011 12:13:09 +0100

vorbisgain (0.36-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Pavel N. Krivitsky to use temp files, which are dependent
    on the file which is beeing processed, instead always using the same
    filename, which can result to data loss in scenarios where two or more
    vorbis processes are running parallel.
    (Closes: #505164)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 10 Nov 2008 12:55:38 +0100

vorbisgain (0.36-3) unstable; urgency=low

  * recurse.c: Zero errno before readdir call. (Closes: #375110)
  * s/ReplayGain/Replay Gain/
  * Standards-Version 3.7.2.

 -- Joe Wreschnig <piman@debian.org>  Mon, 26 Jun 2006 16:37:21 -0500

vorbisgain (0.36-2) unstable; urgency=low

  * Adopting this package; thanks to Lars for all his previous work.
  * vorbisgain.1: --skip, not --silent. (Closes: #355783)
  * debian/control: Tweak description, list more supporting players.
  * debian/rules: Remove commented-out dh_* calls.

 -- Joe Wreschnig <piman@debian.org>  Sun, 12 Mar 2006 15:20:31 -0600

vorbisgain (0.36-1) unstable; urgency=low

  * New upstream version. Closes: #327600 ("new upstream version
    available").
  * Bumped Standards-Version to 3.6.2. No changes required.
  * debian/copyright: Added note that upstream .zip gets repackaged into
    .orig.tar.gz.
  * Upgraded to debhelper compatibility level (DH_COMPAT in debian/rules)
    to 5. This meant adding ${misc:Depends} to debian/control.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 19 Dec 2005 01:28:55 +0200

vorbisgain (0.35-2) unstable; urgency=low

  * recurse.c: Disabled processing of wildcards in the filenames. This
    makes the Debian package differ from what upstream wants, but results
    in fewer surprises to users who are not accustomed to vorbisgain as 
    it is more natural to Unix users in general. Also, makes it possible
    at all to process files with wildcards in their names.
    Closes: #288056.
  * vorbis.c: Don't touch mtime after the file has been modified.
    Closes: #281316.
  * vorbisgain.1: Modified an example using wildcards and added a note to
    the end of the differences in behavior between upstream and Debian.

 -- Lars Wirzenius <liw@iki.fi>  Wed, 19 Jan 2005 18:22:00 +0200

vorbisgain (0.35-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.
  * Re-enabled --recursive. I can't reproduce bug #222959, where files
    with question marks in their names would cause vorbisgain to think
    they start a new album. Closes: #226543.

 -- Lars Wirzenius <liw@iki.fi>  Sun,  7 Nov 2004 22:12:00 +0200

vorbisgain (0.34-2) unstable; urgency=low

  * Don't use --enable-recursive (closes: #222959)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 23 Dec 2003 12:06:25 +0100

vorbisgain (0.34-1) unstable; urgency=low

  * New upstream release 
    - fixes bug in example code with 48kHz files (closes: #172331)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 18 Sep 2003 10:34:15 +0200

vorbisgain (0.32-6) unstable; urgency=low

  * Fix segfault

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  9 Apr 2003 23:34:50 +0200

vorbisgain (0.32-5) unstable; urgency=low

  * Rebuild with new libvorbis.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 14 Mar 2003 17:04:23 +0100

vorbisgain (0.32-4) unstable; urgency=low

  * Add AM_MAINTAINER_MODE, which will hopefully make automake not be
    required any more.  (closes: #167756)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Nov 2002 01:56:33 +0100

vorbisgain (0.32-3) unstable; urgency=low

  * Add --enable-recursive to configure

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Oct 2002 15:13:18 +0200

vorbisgain (0.32-2) unstable; urgency=low

  * Fix description (closes: #164715)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Oct 2002 01:28:24 +0200

vorbisgain (0.32-1) unstable; urgency=low

  * Initial Release. (closes: #163810)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  8 Oct 2002 17:36:22 +0200

=== debian/control ===
Source: vorbisgain
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 libogg-dev,
 libvorbis-dev
Standards-Version: 3.9.2
Homepage: http://sjeng.org/vorbisgain.html

Package: vorbisgain
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: add Replay Gain volume tags to Ogg Vorbis files
 vorbisgain calculates a percieved volume of an Ogg Vorbis file using
 the Replay Gain algorithm. It then stores a per-track and per-album
 volume adjustment in the file's tags, to let songs play back  with a
 uniform volume. The process is non-destructive and does not change the
 audio data at all.
 .
 Many audio players in Debian support reading these tags, including XMMS,
 Quod Libet, amaroK, Muine, and Rhythmbox.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-recursive

=== debian/watch ===
version=3
http://sjeng.org/ftp/vorbis/vorbisgain-(.*)\.(zip|tar\.gz)

## vorbisgain 0.37

=== debian/changelog ===
vorbisgain (0.37-3) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1086715
  * The problem that was fixed by patch 0001-temp_files.patch was fixed in
    version 0.37 and the patch creates new problems.  Thus the patch is
    removed and other patches refreshed
    Closes: #537043
  * Last Upload also
    Closes: #939841
  * Fix manpage about recursion
    Closes: #698253
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Rely on pre-initialized dpkg-architecture variables.
  * watch file standard 4 (routine-update)
  * Update d/copyright
  * Secure URI in d/watch
  * Enable hardening
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 25 Nov 2024 10:53:41 +0100

vorbisgain (0.37-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix missing header declaration. (Closes: #1066500)

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 24 Mar 2024 09:00:42 +0100

vorbisgain (0.37-2) unstable; urgency=low

  * Updated maintainer's info
  * debian/patches
    - 0001-temp_files.patch re-adds X's in mktemp() (Closes: #676926)
    - 0009-hardening.patch added to solve an issue with debian's build flags.
      + Bumped debhelper compat level to 9
      + Solved lintian complaints on hardening
    - 0010-fclose.patch added (Closes: #488126). Thanks to Marcel Rehberg for
      the patch.
  * debian/rules
    - Fixed lintian hardening complaints by adding the Debian build flags.

 -- Daniel Martí <mvdan@mvdan.cc>  Sun, 01 Jul 2012 12:48:01 +0000

vorbisgain (0.37-1) unstable; urgency=low

  * New Maintainer (Closes: #547233)
  * New upstream release.
    - Refreshed all patches.
  * Bumped debhelper compat level to 8.
  * debian/copyright is now in DEP-5 format version 1.0.
  * debian/rules now removes automake's .log and .status in "clean".
  * Bumped standards version to 3.9.3; No changes needed.
  * debian/patches/0006-manpage_hyphens.patch:
    - Corrected many hyphen-used-as-minus-sign lintian complaints in the
      manpage.
  * debian/patches/0007-recursively_spelling.patch:
    - Corrected a spelling mistake, "recursivly". (Closes: #661999)
  * debian/patches/0008-manpage_recursion_mistake.patch:
    - The manpage no longer shows examples which don't work. (Closes: #447402)
  * debian/watch has been fixed.
  * NEWS has been removed from docs and is now installed as upstream's
    changelog file.

 -- Daniel Martí <danielmarti.debian@gmail.com>  Sat, 03 Mar 2012 16:39:08 +0100

=== debian/control ===
Source: vorbisgain
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Daniel Martí <mvdan@mvdan.cc>
Build-Depends: debhelper-compat (= 13),  libogg-dev, libvorbis-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/vorbisgain
Vcs-Git: https://salsa.debian.org/multimedia-team/vorbisgain.git
Homepage: https://sjeng.org/vorbisgain.html
Rules-Requires-Root: no

Package: vorbisgain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: add Replay Gain volume tags to Ogg Vorbis files
 vorbisgain calculates a percieved volume of an Ogg Vorbis file using
 the Replay Gain algorithm. It then stores a per-track and per-album
 volume adjustment in the file's tags, to let songs play back  with a
 uniform volume. The process is non-destructive and does not change the
 audio data at all.
 .
 Many audio players in Debian support reading these tags, including XMMS,
 Quod Libet, amaroK, Muine, and Rhythmbox.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-recursive

override_dh_auto_clean:
	dh_auto_clean
	rm -f config.log config.status

override_dh_auto_install:
	dh_auto_install
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
https://sjeng.org/ftp/vorbis/vorbisgain-(.*)\.tar\.gz
